Package: org.codehaus.groovy.runtime.wrappers

## [Java] Class PojoWrapper

- org.codehaus.groovy.runtime.wrappers.PojoWrapper

-     public class PojoWrapper
      extends Wrapper

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected MetaClass` | `delegate` |
    `protected Object` | `wrapped` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Wrapper` | `constrainedType`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PojoWrapper(Object wrapped, Class constrainedType)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected MetaClass` | `getDelegatedMetaClass()`
    `` | `public Object` | `getProperty(String property)`
    `` | `protected Object` | `getWrapped()`
    `` | `public Object` | `invokeMethod(String methodName, Object arguments)`
    `` | `public void` | `setMetaClass(MetaClass metaClass)`
    `` | `public void` | `setProperty(String property, Object newValue)`
    `` | `public Object` | `unwrap()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Wrapper` | `getDelegatedMetaClass, getMetaClass, getType, getWrapped, unwrap`

- - ### Field Detail

    - #### protected MetaClass delegate

    - #### protected final Object wrapped

  - ### Constructor Detail

    - #### public PojoWrapper(Object wrapped, Class constrainedType)

  - ### Method Detail

    - #### @Override protected MetaClass getDelegatedMetaClass()

    - #### @Override public Object getProperty(String property)

    - #### @Override protected Object getWrapped()

    - #### @Override public Object invokeMethod(String methodName, Object arguments)

    - #### @Override public void setMetaClass(MetaClass metaClass)

    - #### @Override public void setProperty(String property, Object newValue)

    - #### @Override public Object unwrap()